
package edu.sc.seis.cormorant.network;

import edu.iris.Fissures.IfNetwork.NetworkDCPOA;
import edu.iris.Fissures.IfNetwork.NetworkExplorer;
import edu.iris.Fissures.IfNetwork.NetworkFinder;

/**
 * NetworkDCImpl.java
 *
 *
 * Created: Thu Mar 15 11:32:29 2001
 *
 * @author Philip Crotwell
 * @version
 */

public class NetworkDCImpl extends NetworkDCPOA {

    public NetworkDCImpl(NetworkExplorer explorer,
                         NetworkFinder finder) {
        this.explorer = explorer;
        this.finder = finder;
    }


    //
    // IDL:iris.edu/Fissures/IfNetwork/NetworkDC/a_explorer:1.0
    //
    /***/

    public NetworkExplorer a_explorer() {
        return explorer;
    }

    //
    // IDL:iris.edu/Fissures/IfNetwork/NetworkDC/a_finder:1.0
    //
    /***/

    public NetworkFinder a_finder() {
        return finder;
    }

    protected NetworkExplorer explorer;

    protected NetworkFinder finder;

} // NetworkDCImpl
